Debian Bug report logs - #625544
transition: imagemagick4

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Bastien ROUCARIES <roucaries.bastien@gmail.com>

Date: Wed, 4 May 2011 10:33:02 UTC

Severity: normal

Tags: moreinfo

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Wed, 04 May 2011 10:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 May 2011 10:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: submit@bugs.debian.org
Subject: [release.debian.org] Transition: libmagickcore4, libmagick++4, libmagickwand4
Date: Wed, 4 May 2011 12:27:14 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

We would like to perform the transition from  libmagickcore3, libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, 
libmagickwand4

This transition will requires sourcefull uploads as there is a (minimal) API change.

Package are in experimental

grep-dctrl -F Build-Depends "libmagick-dev" -s Package /var/lib/apt/lists/*_Sources
Package: ale
Package: dx
Package: gnuift
Package: imview
Package: kismet
Package: nip2
Package: psiconv
Package: rss-glx
Package: vips
Package: xine-lib
Package: drawtiming
Package: gnuift
Package: kismet
Package: nip2
Package: vips
Package: xine-lib
Package: drawtiming
Package: gnuift
Package: kismet
Package: nip2
Package: vips
Package: xine-lib

grep-dctrl -F Build-Depends "libmagick++-dev" -s Package /var/lib/apt/lists/*_Sources
Package: drawtiming
Package: dvdauthor
Package: labplot
Package: dvdauthor
Package: gem
Package: gmic
Package: gnudatalanguage
Package: k3d
Package: kxstitch
Package: labplot
Package: pfstools
Package: pstoedit
Package: pythonmagick
Package: synfig
Package: vdr-plugin-skinenigmang
Package: zbar
Package: dvdauthor
Package: gem
Package: gmic
Package: gnudatalanguage
Package: inkscape
Package: k3d
Package: pfstools
Package: player
Package: pstoedit
Package: pythonmagick
Package: vdr-plugin-skinenigmang
Package: zbar

grep-dctrl -F Build-Depends "libmagickwand-dev" -s Package /var/lib/apt/lists/*_Sources
Package: xine-lib
Package: calibre
Package: dx
Package: libdmtx
Package: librmagick-ruby
Package: obex-data-server
Package: php-imagick
Package: rss-glx
Package: virtuoso-opensource
Package: calibre
Package: dx
Package: libdmtx
Package: librmagick-ruby
Package: obex-data-server
Package: php-imagick
Package: rss-glx
Package: virtuoso-opensource

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Wed, 04 May 2011 10:45:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 May 2011 10:45:45 GMT) Full text and rfc822 format available.

Message #10 received at 625544@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 625544@bugs.debian.org
Subject: Re: Bug#625544: [release.debian.org] Transition: libmagickcore4, libmagick++4, libmagickwand4
Date: Wed, 4 May 2011 12:44:03 +0200
[Message part 1 (text/plain, inline)]
(Just passing by, not directly involved with the release team.)

Bastien ROUCARIES <roucaries.bastien@gmail.com> (04/05/2011):
> This transition will requires sourcefull uploads as there is a
> (minimal) API change.

It might help to mention the packages which will be OK with a binNMU,
and those which will need a sourceful upload; for the latter, I guess
bugs were opened already, possibly with patches; mentioning those
might help figure out when packages/maintainers are ready.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 625544: 625545 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:38 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625546 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:41 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625547 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:43 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625548 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:45 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625549 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:46 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625550 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:48 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625551 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:49 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625553 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:51 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625554 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:52 GMT) Full text and rfc822 format available.

Added indication that bug 625544 blocks 621082 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:54:00 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625552 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 12:23:45 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625556 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 12:23:46 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625557 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 12:23:48 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625558 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 12:23:49 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625559 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 12:23:50 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625560 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 12:23:52 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625561 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 12:23:53 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 13:51:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625573 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625574 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625575 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625576 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625577 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:17 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625578 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:19 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625579 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:20 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625580 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:22 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625581 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:23 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625582 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:24 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625583 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:26 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625584 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:27 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625585 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:29 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625586 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:30 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625589 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:06:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625592 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:06:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625593 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:06:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625595 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:06:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625597 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:06:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625599 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:06:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625502 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:06:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Wed, 04 May 2011 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 May 2011 14:27:05 GMT) Full text and rfc822 format available.

Message #93 received at 625544@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 625544@bugs.debian.org
Subject: Binnmu
Date: Wed, 4 May 2011 16:25:15 +0200
php5-magick is ready and will only need a binnmu




Added blocking bug(s) of 625544: 625610 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:51:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625602 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:51:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 625609 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:51:09 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 625544: 625502 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 14:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Wed, 04 May 2011 18:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 May 2011 18:54:05 GMT) Full text and rfc822 format available.

Message #106 received at 625544@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 625544@bugs.debian.org
Subject: Re: Bug#625544: [release.debian.org] Transition: libmagickcore4, libmagick++4, libmagickwand4
Date: Wed, 4 May 2011 20:52:07 +0200
tag 625544 moreinfo
kthxbye

On Wed, May  4, 2011 at 12:27:14 +0200, Bastien ROUCARIES wrote:

> We would like to perform the transition from  libmagickcore3, libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, 
> libmagickwand4
> 
> This transition will requires sourcefull uploads as there is a (minimal) API change.

A minimal API change that affects *all* reverse dependencies?  That
doesn't sound minimal at all.

Also, please don't change the names of the -dev packages.

Cheers,
Julien




Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 18:54:07 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 625544: 625586 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 11:27:18 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Mon, 09 May 2011 16:03:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'transition: imagemagick4' from '[release.debian.org] Transition: libmagickcore4, libmagick++4, libmagickwand4' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Mon, 09 May 2011 16:03:04 GMT) Full text and rfc822 format available.

Added indication that bug 625544 blocks 627897 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 25 May 2011 10:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Wed, 25 May 2011 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 May 2011 12:27:03 GMT) Full text and rfc822 format available.

Message #121 received at 625544@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 625544@bugs.debian.org
Cc: Laurent Fousse <lfousse@debian.org>
Subject: Re: Bug#625544: [release.debian.org] Transition: libmagickcore4, libmagick++4, libmagickwand4
Date: Wed, 25 May 2011 14:24:28 +0200
On Wed, May  4, 2011 at 20:52:07 +0200, Julien Cristau wrote:

> tag 625544 moreinfo
> kthxbye
> 
> On Wed, May  4, 2011 at 12:27:14 +0200, Bastien ROUCARIES wrote:
> 
> > We would like to perform the transition from  libmagickcore3, libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, 
> > libmagickwand4
> > 
> > This transition will requires sourcefull uploads as there is a (minimal) API change.
> 
> A minimal API change that affects *all* reverse dependencies?  That
> doesn't sound minimal at all.
> 
> Also, please don't change the names of the -dev packages.
> 
So apparently you didn't bother to reply, but uploaded anyway?  WTF?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Wed, 25 May 2011 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 May 2011 12:27:05 GMT) Full text and rfc822 format available.

Message #126 received at 625544@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 625544@bugs.debian.org
Subject: Asking for binnmu
Date: Wed, 25 May 2011 14:24:28 +0200
Could I ask for binnmu of reverse depends. Libruby break but it was
broken before this upgrade nevertheless.

Bastien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Wed, 25 May 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 25 May 2011 13:51:03 GMT) Full text and rfc822 format available.

Message #131 received at 625544@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Julien Cristau <julien@cristau.org>
Cc: 625544@bugs.debian.org, Laurent Fousse <lfousse@debian.org>
Subject: Re: Bug#625544: [release.debian.org] Transition: libmagickcore4, libmagick++4, libmagickwand4
Date: Wed, 25 May 2011 15:49:18 +0200
n Wed, May 25, 2011 at 2:24 PM, Julien Cristau <julien@cristau.org> wrote:
> On Wed, May  4, 2011 at 20:52:07 +0200, Julien Cristau wrote:
>
>> tag 625544 moreinfo
>> kthxbye
>>
>> On Wed, May  4, 2011 at 12:27:14 +0200, Bastien ROUCARIES wrote:
>>
>> > We would like to perform the transition from  libmagickcore3, libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4,
>> > libmagickwand4
>> >
>> > This transition will requires sourcefull uploads as there is a (minimal) API change.
>>
>> A minimal API change that affects *all* reverse dependencies?  That
>> doesn't sound minimal at all.
>>
>> Also, please don't change the names of the -dev packages.
>>
> So apparently you didn't bother to reply, but uploaded anyway?  WTF?

Upstream break ABI and not API

Bastien




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sat, 28 May 2011 12:21:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 625544: 628254 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 13:21:03 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 06:15:28 GMT) Full text and rfc822 format available.

Notification sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Bug acknowledged by developer. (Tue, 31 May 2011 06:15:28 GMT) Full text and rfc822 format available.

Message #140 received at 625544-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 625544-close@bugs.debian.org
Subject: Bug#625544: fixed in calibre 0.8.2+dfsg-1
Date: Tue, 31 May 2011 06:02:21 +0000
Source: calibre
Source-Version: 0.8.2+dfsg-1

We believe that the bug you reported is fixed in the latest version of
calibre, which is due to be installed in the Debian FTP archive:

calibre-bin_0.8.2+dfsg-1_amd64.deb
  to main/c/calibre/calibre-bin_0.8.2+dfsg-1_amd64.deb
calibre_0.8.2+dfsg-1.debian.tar.gz
  to main/c/calibre/calibre_0.8.2+dfsg-1.debian.tar.gz
calibre_0.8.2+dfsg-1.dsc
  to main/c/calibre/calibre_0.8.2+dfsg-1.dsc
calibre_0.8.2+dfsg-1_all.deb
  to main/c/calibre/calibre_0.8.2+dfsg-1_all.deb
calibre_0.8.2+dfsg.orig.tar.gz
  to main/c/calibre/calibre_0.8.2+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625544@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated calibre package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 31 May 2011 07:38:22 +0200
Source: calibre
Binary: calibre calibre-bin
Architecture: source all amd64
Version: 0.8.2+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Miriam Ruiz <little_miry@yahoo.es>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 calibre    - e-book converter and library management
 calibre-bin - e-book converter and library management
Closes: 625544 628640
Changes: 
 calibre (0.8.2+dfsg-1) unstable; urgency=low
 .
   * Rebuild against libmagick 4. (Closes: #625544)
   * debian/watch: Update for new location on sourceforge.
   * Drop kfreebsd.patch, fixed upstream.
   * Unfuzz the other two patches.
   * debian/control: Change build dependency to unversioned libboost-dev.
   * debian/rules: Drop fixing recipes permissions, they are installed as a zip
     file now.
   * debian/rules: Rewrite weird "env python2" style hashbang lines to use
     standard /usr/bin/python.
   * debian/control, debian/rules: Force usage of python2.7 for now, as long as
     it is not the default yet. The new upstream version requires it now.
   * debian/control: Remove unnecessary python-pythonmagick dependency.
     (Closes: #628640)
Checksums-Sha1: 
 cea04a1570b21aa6c0d4f80d012106aefaf307e8 2333 calibre_0.8.2+dfsg-1.dsc
 b486495014d51a73894b2196954038756652c1c7 27703040 calibre_0.8.2+dfsg.orig.tar.gz
 bdaca85f4de7bf076f1f7c14083577080fa5c24c 18879 calibre_0.8.2+dfsg-1.debian.tar.gz
 b994d08deda98982f0c70957f08aecc2526a8570 12469022 calibre_0.8.2+dfsg-1_all.deb
 97d18770fee2c2ecc61a30eccfb1fb4fec5833fc 204020 calibre-bin_0.8.2+dfsg-1_amd64.deb
Checksums-Sha256: 
 16243f67db8c7cfcf4968aae7af924f53907041418df338669bf917fca77154c 2333 calibre_0.8.2+dfsg-1.dsc
 f4f25eb149d3b61a6881857a2185231690779241ca9b6649aa02e594a8611926 27703040 calibre_0.8.2+dfsg.orig.tar.gz
 f3a05b4e0e16b7f0e41060c18648fffa57ed3165c5430b327f177155b8463b0a 18879 calibre_0.8.2+dfsg-1.debian.tar.gz
 e107590f1705c037ddceeeda6f66bf0aaf14f240fc8f8f46a78d48081991b3b3 12469022 calibre_0.8.2+dfsg-1_all.deb
 9618782d227950aec85b3baaafd31955afc612a6f066ced90d7cfc15b3c8d825 204020 calibre-bin_0.8.2+dfsg-1_amd64.deb
Files: 
 b94bfaa3534dd46e7d0d0dbf1a626bd6 2333 text extra calibre_0.8.2+dfsg-1.dsc
 207be742c8c834d1c358f752a6fc07b8 27703040 text extra calibre_0.8.2+dfsg.orig.tar.gz
 8cb63c77345404e7e079bf1f637b052d 18879 text extra calibre_0.8.2+dfsg-1.debian.tar.gz
 0fead21c9874ee9f3d1feff34a99fd7c 12469022 text extra calibre_0.8.2+dfsg-1_all.deb
 9b0bcccc4ee2b88674f7c40faf29d465 204020 text extra calibre-bin_0.8.2+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN5H+wAAoJEPmIJawmtHufFt8P/imVzWrSU2k0ynlrQoHaw6sk
j/bn3QGfDC59VzlXOh/5zrYKS4hPeKTD45dF2YJTXsKF2fGpcGb4mvrNZ5mpjsuk
QFsPkx0NxECNYa0NcaqKJ1shtu/VqYCrU2guS/Ph5puQ1/A7B9ux30ubd1v6KIGO
cEao+QCNWN2SwGpbU88D4kF6QTXmdRPYRv/zQJZCVW6X2yVixYxvgOxT7hvhXIJT
jKTRyxBrq1Ud1TrAFV20JyU9CIfl23N08sKkFnBUoJxgqt5N7F5qAoD7TJUrpQFa
7FmznCPMyB/0kOaxlN2TGWagbhj02uq8DxS5UObCRLOnlS6tVZujXM+ycd821H/J
YcKJEVTfx6SwSa/RyHArirlemRT7kAnYCkIAFgcMc71lRovWhzStLbHzdsCH2C6F
qCBikIvSzt3bt3WqTAjrI+k7mWDAXF2lShxDrrYngpkJB6+imPylEwCcF+TGE5E0
rNddeKmr62VvzK+5VaMw7zjz5LaIB/QK71RmLrGnBm/rSH39cQ172MMNqHty0ngF
maRNhWoWTcCYE5/9yI1d6VpiTUIcgsAmCSD1r19Eh9m+eL8H77y04eO5wOsy2BmT
nlX/flrspsetHinLgsHpQdWD/gLj2IPBl1Zs7u2Zo9DN7dOzFwdZaVG0JZIrCNCd
6VBjjFV24koXcrK9T6/s
=JXss
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Tue, 31 May 2011 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 31 May 2011 06:24:03 GMT) Full text and rfc822 format available.

Message #145 received at 625544@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 625544@bugs.debian.org
Subject: Re: Bug#625544: fixed in calibre 0.8.2+dfsg-1
Date: Tue, 31 May 2011 08:21:26 +0200
reopen 625544
kthxbye

On Tue, May 31, 2011 at 06:02:21 +0000, Martin Pitt wrote:

>  calibre (0.8.2+dfsg-1) unstable; urgency=low
>  .
>    * Rebuild against libmagick 4. (Closes: #625544)

Err, no.  #625544 is against release.debian.org, not calibre.

Cheers,
Julien




Bug No longer marked as fixed in versions calibre/0.8.2+dfsg-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 May 2011 06:24:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 16:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Fri, 10 Jun 2011 22:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 10 Jun 2011 22:03:08 GMT) Full text and rfc822 format available.

Message #154 received at 625544@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: 625544@bugs.debian.org, Bastien ROUCARIES <roucaries.bastien@gmail.com>, control@bugs.debian.org
Subject: Imagemagick transition: closer ?
Date: Sat, 11 Jun 2011 00:01:11 +0200
block 625544 by 630014
thanks

  Dear Release Team,

  It seems to me that the Imagemagick transition is well under way
now. There are only a few problems remaining, as far as I can tell:

  * we have a (rather stupid ;-)...) RC bug against imagemagick
itself, which should be fixed quite soon (an upload is planned either
tonight or tomorrow)
  * nip2 FTBS due to obsolete dependencies in libvips-dev, see #630014;
  * libfprint FTBS but maintainer is taking care of that (see #629788);
  * pythonmagick FTBS.

  For the latter, there seem to be no choice but uploading a new
upstream version. What is worrying me is that pythonmagick is somehow
tied to the python transition. For now, it only builds with python2.6.
Is this fine ?

  Cheers,

      Vincent




Added blocking bug(s) of 625544: 630014 Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Fri, 10 Jun 2011 22:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625544; Package release.debian.org. (Sat, 11 Jun 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 11 Jun 2011 08:03:04 GMT) Full text and rfc822 format available.

Message #161 received at 625544@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Vincent Fourmond <fourmond@debian.org>, 625544@bugs.debian.org
Cc: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Subject: Re: Bug#625544: Imagemagick transition: closer ?
Date: Sat, 11 Jun 2011 09:57:17 +0200
On 06/11/2011 12:01 AM, Vincent Fourmond wrote:
> 
>   It seems to me that the Imagemagick transition is well under way
> now. There are only a few problems remaining, as far as I can tell:
> 
>   * we have a (rather stupid ;-)...) RC bug against imagemagick
> itself, which should be fixed quite soon (an upload is planned either
> tonight or tomorrow)
>   * nip2 FTBS due to obsolete dependencies in libvips-dev, see #630014;
>   * libfprint FTBS but maintainer is taking care of that (see #629788);
>   * pythonmagick FTBS.
> 
>   For the latter, there seem to be no choice but uploading a new
> upstream version. What is worrying me is that pythonmagick is somehow
> tied to the python transition. For now, it only builds with python2.6.

I intend to remove pythonmagick from testing to get it out our way.
Once imagemagick fixed and performous/libtuxcap/kismet/autotrace built
and signed on all architectures, imagemagick will be able to migrate.

The status can be seen on:

	http://release.debian.org/transitions/html/imagemagick4.html

(updated hourly).

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Tue, 28 Jun 2011 08:58:27 GMT) Full text and rfc822 format available.

Notification sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Bug acknowledged by developer. (Tue, 28 Jun 2011 08:58:34 GMT) Full text and rfc822 format available.

Message #166 received at 625544-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 625544-done@bugs.debian.org
Cc: Vincent Fourmond <fourmond@debian.org>, Bastien ROUCARIES <roucaries.bastien@gmail.com>
Subject: Re: Bug#625544: Imagemagick transition: closer ?
Date: Tue, 28 Jun 2011 10:54:53 +0200
On 06/11/2011 09:57 AM, Mehdi Dogguy wrote:
> On 06/11/2011 12:01 AM, Vincent Fourmond wrote:
>>
>>    It seems to me that the Imagemagick transition is well under way
>> now. There are only a few problems remaining, as far as I can tell:
>>
>>    * we have a (rather stupid ;-)...) RC bug against imagemagick
>> itself, which should be fixed quite soon (an upload is planned either
>> tonight or tomorrow)
>>    * nip2 FTBS due to obsolete dependencies in libvips-dev, see #630014;
>>    * libfprint FTBS but maintainer is taking care of that (see #629788);
>>    * pythonmagick FTBS.
>>
>>    For the latter, there seem to be no choice but uploading a new
>> upstream version. What is worrying me is that pythonmagick is somehow
>> tied to the python transition. For now, it only builds with python2.6.
>
> I intend to remove pythonmagick from testing to get it out our way.
> Once imagemagick fixed and performous/libtuxcap/kismet/autotrace built
> and signed on all architectures, imagemagick will be able to migrate.
>
> The status can be seen on:
>
> 	http://release.debian.org/transitions/html/imagemagick4.html
>
> (updated hourly).
>

ImageMagick migrated during yesteday's Britney run. Closing…

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jul 2011 07:36:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:19:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.